Skip to main content
Help us improve Python packaging – donate today!

Compatibility layer for different Qt bindings.

Project Description

QtSix provides a compatibility layer that allows to write Python
applications that work with different Qt bindings: PyQt5, PyQt4 or
PySide.

An application that used QtSix can work correctly if any of the
supported Qt bindings is installed on the system.
QtSix automatically detects available bindings and uses them
transparently.

If more than one Qt_ binding is present on the system then it is selected
the first one available in the following order: PyQt5, PyQt4, PySide.

Release history Release notifications

This version
History Node

1.1

History Node

1.0

Download files

Download the file for your platform. If you're not sure which to choose, learn more about installing packages.

Filename, size & hash SHA256 hash help File type Python version Upload date
qtsix-1.1-py2.py3-none-any.whl (30.2 kB) Copy SHA256 hash SHA256 Wheel py2.py3 Jan 4, 2015
qtsix-1.1.tar.gz (9.2 kB) Copy SHA256 hash SHA256 Source None Jan 4, 2015

Supported by

Elastic Elastic Search Pingdom Pingdom Monitoring Google Google BigQuery Sentry Sentry Error logging CloudAMQP CloudAMQP RabbitMQ AWS AWS Cloud computing Fastly Fastly CDN DigiCert DigiCert EV certificate StatusPage StatusPage Status page